A derivative can be used to describe the rate of change at a single point, or the *instantaneous velocity*.

The formula used to calculate the average rate of change looks like this:
$$ \dfrac{f(b) - f(a)}{b - a} $$
Interpreting it, this can be described as the change in $y$ over the change in $x$.

- Speed is always positive
- Velocity is directional

As the distance between the two points $a$ and $b$ grow smaller, we get closer and closer to the instantaneous velocity of a point. Limits are suited to describing the behavior of a function as it approaches a point.

If we have the coordinate pair $(a, f(a))$, and the value $h$ is the distance between $a$ and another $x$ value, the coordinates of that point can be described as ($(a + h, f(a + h))$. With this info:
- The slope of the secant line can be described as $\dfrac{f(a + h) - f(a)}{a + h - a}$, which simplifies to $\dfrac{f(a + h) - f(a)}{h}$. 
- The slope of the *tangent line* or the *instantaneous velocity* can be found by taking the limit of the above function as the distance ($h$) approaches zero:
$$\lim_{h \to 0}\dfrac{f(a + h) - f(a)}{h}$$
The above formula can be used to find the *derivative*. This may also be referred to as the *instantaneous velocity*, or the *instantaneous rate of change*.
# Line Types
## Secant Line
A **Secant Line** connects two points on a graph.

A **Tangent Line** represents the rate of change or slope at a single point on the graph.

# Notation
Given the equation $y = f(x)$, the following are all notations used to represent the derivative of $f$ at $x$:
- $f'(x)$
- $\dfrac{d}{dx}f(x)$
- $y'$
- $\dfrac{dy}{dx}$
- $\dfrac{df}{dx}$
- "Derivative of $f$ with respect to $x$"

# Functions that are not differentiable at a given point
- Where a function is not defined
- Where a sharp turn takes place
- If the slope of the tangent line is vertical

# Higher Order Differentials
- Take the differential of a differential